org.apache.ignite.internal.visor.persistence

## Enum PersistenceCleanAndBackupType

- java.lang.Object
- - java.lang.Enum<PersistenceCleanAndBackupType>
  - - org.apache.ignite.internal.visor.persistence.PersistenceCleanAndBackupType

All Implemented Interfaces:
  Serializable, Comparable<PersistenceCleanAndBackupType>

    public enum PersistenceCleanAndBackupType
    extends Enum<PersistenceCleanAndBackupType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL`
`CACHES`
`CORRUPTED`

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable PersistenceCleanAndBackupType` `fromOrdinal(int ordinal)`
`static PersistenceCleanAndBackupType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PersistenceCleanAndBackupType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final PersistenceCleanAndBackupType ALL

#### CORRUPTED

    public static final PersistenceCleanAndBackupType CORRUPTED

#### CACHES

    public static final PersistenceCleanAndBackupType CACHES

### Method Detail

#### values

    public static PersistenceCleanAndBackupType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PersistenceCleanAndBackupType c : PersistenceCleanAndBackupType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PersistenceCleanAndBackupType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable PersistenceCleanAndBackupType fromOrdinal(int ordinal)

Parameters:
  `ordinal` - Index of enum value.
Returns:
  Value of `PersistenceCleanAndBackupType` enum.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021